package com.njcn.product.advance.eventSource.pojo.dto.eventAggregate;

import java.io.Serializable;
import java.util.Arrays;

public class EntityMtrans implements Serializable {
	private static final long serialVersionUID = 1L;
	private int Matrixcata0[][];
	private int Matrixcata1[][];
	private int Mtrans[][];
	private int possiable_path[][];
	private int path_num;

	public EntityMtrans() {
		super();
		Mtrans = new int[FinalData.NODE_NUM][FinalData.NODE_NUM];
		Matrixcata0 = new int[FinalData.EVT_TYPE_NUM][FinalData.NODE_NUM];
		Matrixcata1 = new int[FinalData.EVT_TYPE_NUM][FinalData.NODE_NUM];
		possiable_path = new int[FinalData.MAX_PATH_NUM][FinalData.NODE_NUM + 1];
		path_num = 0;
	}

	public int[][] getMatrixcata0() {
		return Matrixcata0;
	}

	public void setMatrixcata0(int[][] matrixcata0) {
		Matrixcata0 = matrixcata0;
	}

	public int[][] getMatrixcata1() {
		return Matrixcata1;
	}

	public void setMatrixcata1(int[][] matrixcata1) {
		Matrixcata1 = matrixcata1;
	}

	public int[][] getMtrans() {
		return Mtrans;
	}

	public void setMtrans(int[][] mtrans) {
		Mtrans = mtrans;
	}

	public int[][] getPossiable_path() {
		return possiable_path;
	}

	public void setPossiable_path(int[][] possiable_path) {
		this.possiable_path = possiable_path;
	}

	public int getPath_num() {
		return path_num;
	}

	public void setPath_num(int path_num) {
		this.path_num = path_num;
	}

	@Override
	public String toString() {
		return "EntityMtrans [Matrixcata0=" + Arrays.toString(Matrixcata0) + ", Matrixcata1="
				+ Arrays.toString(Matrixcata1) + ", Mtrans=" + Arrays.toString(Mtrans) + ", possiable_path="
				+ Arrays.toString(possiable_path) + ", path_num=" + path_num + "]";
	}
}

